import { NumberType, StringType } from "./CEUtils";
export declare enum ValidatorType {
    Error = 0,
    Warning = 1,
    Info = 2
}
export declare type ValidatorOutput = {
    errors: string[];
    warnings: string[];
    info: string[];
};
export declare class Validator {
    static boolean(schema: NumberType, value: boolean, container: any, key: string | number): ValidatorOutput;
    static text(schema: StringType, value: string, container: any, key: string | number): ValidatorOutput;
    static number(schema: NumberType, value: number, container: any, key: string | number): ValidatorOutput;
    private static numberRange;
    private static required;
}
