import { BasicEvent } from "@h4x/common";
export declare class ListContainer<T> {
    private internal;
    constructor(...init: T[]);
    get size(): number;
    set(list: T[]): void;
    get(index: number): T;
    add(value: T): number;
    remove(index: number): number;
    removeValue(value: T): number;
    each(callback: (value: T, index: number) => void): void;
    map(callback: (value: T, index: number) => void): void[];
    onChanged: BasicEvent<() => void, () => void>;
    onRemove: BasicEvent<(value: T, index: number) => void, (value: T, index: number) => void>;
}
