import { BasicEvent } from "@h4x/common";
import { ListContainer } from "./ListContainer";
import { BasicComponent } from "./BasicComponent";
import "./ListSelect.scss";
export declare class SelectContainer extends ListContainer<string | ({
    [K: string]: any;
    label: string;
    labelClass?: string | {
        [K: string]: boolean | undefined;
    };
})> {
    onSelected: BasicEvent<(index: number) => void, (index: number) => void>;
    private currentIndex;
    get index(): number;
    constructor(...init: (string | ({
        [K: string]: any;
        label: string;
        labelClass?: string | {
            [K: string]: boolean | undefined;
        };
    }))[]);
    linkValue<C, F extends keyof C = keyof C>(variable: C, field: F): boolean;
    update(index: number): void;
    prev(): void;
    next(): void;
}
export interface AppProps extends JSX.HTMLAttributes<HTMLDivElement> {
    options: SelectContainer;
    children?: undefined;
}
export declare class ListSelect extends BasicComponent<AppProps> {
    val: number;
    private uuid;
    private options;
    init(): void;
    willReceiveProps(nextProps: AppProps): void;
    render(): JSX.Element;
}
