import { VNode, Component, ComponentChildren } from "../TSX/TSX";
import { BasicComponent } from "./BasicComponent";
import "./Tooltip.scss";
export declare class Tooltip extends BasicComponent<{
    [Component.Children]?: ComponentChildren | object;
} & JSX.HTMLAttributes<HTMLDivElement>> {
    render(): JSX.Element;
}
export declare class TooltipProvider extends BasicComponent<{
    renderTooltip: () => VNode;
} & JSX.HTMLAttributes<HTMLDivElement>> {
    protected willReceiveProps(): void;
    private tooltip;
    private onMouseEnter;
    private onMouseLeave;
    render(): JSX.Element;
}
