import { BasicComponent } from "../Components/BasicComponent";
import { VNode } from "./TSX";
import "./Overlay.scss";
export declare class Overlay extends BasicComponent<{}> {
    private queue;
    private alerts;
    private floating;
    private static instance;
    constructor();
    static create(element: HTMLElement): any;
    private static uniqueID;
    static add(vnode: VNode): {
        vnode: VNode<any>;
        instance: BasicComponent<{}>;
    };
    static remove(component: BasicComponent): any;
    static addAlert(vnode: VNode): {
        vnode: VNode<any>;
        instance: BasicComponent<{}>;
    };
    static removeAlert(component: BasicComponent): any;
    static addFloating(vnode: VNode): {
        vnode: VNode<any>;
        instance: BasicComponent<{}>;
    };
    static removeFloating(component: BasicComponent): any;
    postUpdate(): void;
    render(): JSX.Element;
    private static createInstance;
    private static removeInstance;
}
